<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,
      initial-scale=1.0">
    <title>Settings: Use Script</title>
  </head>
  <body>
    <div align="center"> <font size="+1"> <a href="app.html"
          style="text-decoration:none">⬅️</a> <a href="index.html"
          style="text-decoration:none">⬆️</a> <a
          href="group_and_project.html" style="text-decoration:none">➡️</a>
      </font> </div>
    <h1>fw-app-launcher</h1>
    <h2>Documentation</h2>
    <h3>Settings</h3>
    <h4>Use Case Script</h4>
    <p>Applications can be used in different ways. Use cases are defined
      for a particular application in the form of custom HTML documents
      and python scripts. When you choose a use case, the "Help" button
      will show context-sensitive web pages for that use case and the
      proper python functions will be called before and after the local
      Application is launched.<br>
    </p>
    <p>Why is it necessary to define a use case?&nbsp; Because different
      uses require different steps to get inputs and outputs set up
      properly.&nbsp;&nbsp; For example, the python script <tt>apps/ITK-SNAP/uses/Segmentation/run.py</tt>
      has functions called <tt>start()</tt> and<tt> stop()</tt> that
      are called when the ITK-SNAP application is chosen and just before
      quitting the <tt>fw_app_launcher</tt> application, and it also
      defines functions <tt>before()</tt> and <tt>after()</tt> that
      are called just before and after calling the ITK-SNAP application.<br>
    </p>
  </body>
</html>
